Update Maintenance Schedules Using PUT

Update Maintenance Schedules Using PUT

Using this method, you can update a particular maintenance schedules

Request
URI
PUT
https://{api_host}/suite-api/api/maintenanceschedules
COPY
Request Body

The maintenance schedules to be updated

maintenance-schedule of type(s) application/json
Required
{
    "id": "string",
    "key": "string",
    "schedule": {
        "dayOfTheMonth": 0,
        "daysOfTheMonth": [
            "string"
        ],
        "daysOfTheWeek": [
            "string"
        ],
        "duration": 0,
        "expirationDate": "string",
        "expireRuns": 0,
        "hour": 0,
        "minuteOfTheHour": 0,
        "month": 0,
        "months": [
            0
        ],
        "recurrence": 0,
        "scheduleType": "string",
        "startDate": "string",
        "timeZone": "string",
        "weeksOfTheMonth": [
            "string"
        ]
    }
}
string As uuid As uuid
id
Optional

Identifier generated by the server for this schedule.

string
key
Required

Schedule key provided by user. Cannot be null during creation.

schedule
Required

schedule

Authentication
This operation uses the following authentication methods.
Responses
200

The maintenance schedule was updated successfully

Operation doesn't return any data structure

404

The maintenance schedule does not exist

Operation doesn't return any data structure